Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Interface NdsAttributeValue

public interface NdsAttributeValue
extends

Provides a common way of manipulating object values.

The NdsAttributeValue interface allows manipulation of all syntax objects, and defines a common way of passing any syntax to an interface that accepts NDS attribute values.

Field Summary
`static int` | `approximate` Approximate matching rule for comparing strings and distinguished names.
`static int` | `equality` Syntax matching rule for equality.
`static int` | `none` No syntax matching rules.
`static int` | `ordering` Syntax matching rule for ordering values.
`static int` | `substrings` Syntax matching rule for substrings comparison.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects for approximate equality.
`int` | `getNdsSyntaxId()` Returns the integer that represents the syntax ID.
`boolean` | `supportsMatchingRules(int matchingRules)` Returns a Boolean indicating whether the matching rules passed in are supported.

Field Detail

### none

    public static final int none

  No syntax matching rules.

  (none = 0)

### equality

    public static final int equality

  Syntax matching rule for equality.

  The equality matching rule requires two values to be identical, to use the same attribute syntax, and to conform to the data type of the attribute syntax.

  (equality = 1)

### approximate

    public static final int approximate

  Approximate matching rule for comparing strings and distinguished names.

  The approximate comparison rule can be used in searches and comparisons on syntaxes with lists of strings and syntaxes with distinguished names.

  (approximate = 2)

### ordering

    public static final int ordering

  Syntax matching rule for ordering values.

  The ordering matching rule requiring a syntax to be open to comparisons of "less than," "equal to," and "greater than."

  (ordering = 4)

### substrings

    public static final int substrings

  Syntax matching rule for substrings comparison.

  The substrings matching rule requiring a syntax to be open to search and comparison on patterns that include the asterisk (*) wildcard.

  (substrings = 8)

Method Detail

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects for approximate equality.

  Two values are approximately equal if and only if the argument is not NULL and is a NdsAttributeValue object that represents approximately the same attribute value as this object.

  Parameters:
    `anObject` - The object with which to compare.
  Returns:
    Boolean set to TRUE if this object is approximately the same as the object argument; otherwise FALSE is returned.
  Throws:
    NsiException - Standard NJCL exception for working on top of XPlat libraries.

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the integer that represents the syntax ID.
  Returns:
    Int representing the Syntax ID.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Returns a Boolean indicating whether the matching rules passed in are supported.
  Parameters:
    `matchingRules` - Syntax matching rules to be used.
  Returns:
    Boolean set to TRUE if the matching rules are supported, otherwise set to FALSE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD